<div id="body" class="container-fluid">
  <h6>Dedicated Customers</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="custId" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onSelectionChanged)="selectionChangedHandler($event)"
                (onEditingStart)="loadEditForm($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="custNme" [colSpan]="2"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate" [minWidth]="50"></dxi-column>
    <dxi-column dataField="custNme" caption="Dedicated Customer Name" dataType="string" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="200"
                           message="Dedicated Customer Name max characters is 200."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="createdByAdId" caption="Created By" dataType="string" [minWidth]="100"></dxi-column>
    <dxi-column dataField="modifiedByAdId" caption="Modified By" dataType="string" [minWidth]="100"></dxi-column>
    <dxi-column dataField="modfdDt" cellTemplate="localStartTime" caption="Modified Date"
                dataType="string" [minWidth]="150"></dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let data of 'editHeaderTemplate'">
      <div>Edit</div>
    </div>
    <div *dxTemplate="let data of 'removeTemplate'">
      <button class="btn btn-sm btn-primary" type="button"
              [disabled]="!selectedItemKeys.length" (click)="deleteRows()">
        Remove Selected Records
      </button>
    </div>
  </dx-data-grid>
</div>
